import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_EventsAlt32 = {
  name: 'EventsAlt32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M18 31h2V29a1.0006 1.0006 0 0 1 1-1h6a1.0006 1.0006 0 0 1 1 1v2h2V29a3.0033 3.0033 0 0 0-3-3H21a3.0033 3.0033 0 0 0-3 3zM24 25a4 4 0 1 1 4-4A4.0039 4.0039 0 0 1 24 25zm0-6a2 2 0 1 0 2 2A2.0027 2.0027 0 0 0 24 19zM2 31H4V29a1.0009 1.0009 0 0 1 1-1h6a1.0009 1.0009 0 0 1 1 1v2h2V29a3.0033 3.0033 0 0 0-3-3H5a3.0033 3.0033 0 0 0-3 3zM8 25a4 4 0 1 1 4-4A4.0042 4.0042 0 0 1 8 25zm0-6a2 2 0 1 0 2 2A2.0023 2.0023 0 0 0 8 19zM18 16h2V14a1.0009 1.0009 0 0 1 1-1h6a1.0009 1.0009 0 0 1 1 1v2h2V14a3.0033 3.0033 0 0 0-3-3H21a3.0033 3.0033 0 0 0-3 3zM24 10a4 4 0 1 1 4-4A4.0042 4.0042 0 0 1 24 10zm0-6a2 2 0 1 0 2 2A2.0023 2.0023 0 0 0 24 4zM2 16H4V14a1.0013 1.0013 0 0 1 1-1h6a1.0013 1.0013 0 0 1 1 1v2h2V14a3.0033 3.0033 0 0 0-3-3H5a3.0033 3.0033 0 0 0-3 3zM8 10a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 8 10zM8 4a2 2 0 1 0 2 2A2.002 2.002 0 0 0 8 4z"
      }
    }), children]);
  }
};

export default virtual_EventsAlt32;
