import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Humidity24 = {
  name: 'Humidity24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M23.5 30H8.5A6.4944 6.4944 0 0 1 7.2 17.1415a8.9943 8.9943 0 0 1 17.6006 0A6.4945 6.4945 0 0 1 23.5 30zM16 12.0053a6.9987 6.9987 0 0 0-6.9414 6.1431L8.96 18.96l-.8155.0639A4.4947 4.4947 0 0 0 8.5 28h15a4.4947 4.4947 0 0 0 .3564-8.9757L23.041 18.96l-.0986-.812A7.0012 7.0012 0 0 0 16 12.0053zM26.0435 11.9882h-.0879A3.9683 3.9683 0 0 1 22 8.0912a3.8761 3.8761 0 0 1 .8057-2.3733l2.3813-3.3355a1.0354 1.0354 0 0 1 1.626 0l2.3838 3.337A3.8667 3.8667 0 0 1 30 8.0736 3.9723 3.9723 0 0 1 26.0435 11.9882zM26 4.6877l-1.57 2.1985A1.9233 1.9233 0 0 0 24 8.0736a1.9456 1.9456 0 0 0 1.9854 1.9093h.0293A1.9742 1.9742 0 0 0 28 8.056a1.8373 1.8373 0 0 0-.3848-1.1086c-.0136-.0171-.0478-.0646-.06-.0822z"
      }
    }), children]);
  }
};

export default virtual_Humidity24;
