import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Hurricane16 = {
  name: 'Hurricane16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('circle', {
      attrs: {
        "cx": "16",
        "cy": "16",
        "r": "2"
      }
    }), createElement('path', {
      attrs: {
        "d": "M16,7a8.9658,8.9658,0,0,0-2.6547.4006A15.6132,15.6132,0,0,1,16.811,5.5767,25.9687,25.9687,0,0,1,25.001,4L25,2C24.82,2,7,2.16,7,16A9,9,0,0,0,18.6547,24.6a15.61,15.61,0,0,1-3.4657,1.8234A25.9749,25.9749,0,0,1,7,28l0,2c.18,0,18-.16,18-14A9.01,9.01,0,0,0,16,7Zm0,16a7,7,0,1,1,7-7A7.0081,7.0081,0,0,1,16,23Z"
      }
    }), children]);
  }
};

export default virtual_Hurricane16;
