import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_ModelReference32 = {
  name: 'ModelReference32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M4 21L4 23 7.586 23 2 28.586 3.414 30 9 24.414 9 28 11 28 11 21 4 21z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M23.5,4H8.5l-6,8-.7843,1.0454L6.8773,19l1.3233-1.5264L5.19,14h5.1119L16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5Zm-7.8044,0H12.8043L16,6.8867ZM5,12,9.5,6h4.6957l-3.75,6ZM15.999,23.7212,12.4318,14H19.568Zm1.9437.51L21.6978,14H26.81Z"
      }
    }), children]);
  }
};

export default virtual_ModelReference32;
