import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Partnership16 = {
  name: 'Partnership16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M8 9a4 4 0 1 1 4-4A4 4 0 0 1 8 9zM8 3a2 2 0 1 0 2 2A2 2 0 0 0 8 3zM24 9a4 4 0 1 1 4-4A4 4 0 0 1 24 9zm0-6a2 2 0 1 0 2 2A2 2 0 0 0 24 3zM26 30H22a2 2 0 0 1-2-2V21h2v7h4V19h2V13a1 1 0 0 0-1-1H20.58L16 20l-4.58-8H5a1 1 0 0 0-1 1v6H6v9h4V21h2v7a2 2 0 0 1-2 2H6a2 2 0 0 1-2-2V21a2 2 0 0 1-2-2V13a3 3 0 0 1 3-3h7.58L16 16l3.42-6H27a3 3 0 0 1 3 3v6a2 2 0 0 1-2 2v7A2 2 0 0 1 26 30z"
      }
    }), children]);
  }
};

export default virtual_Partnership16;
