import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_RestaurantFine16 = {
  name: 'RestaurantFine16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M30 11.0005v-8a1 1 0 0 0-1-1H19a1 1 0 0 0-1 1v8A6.0039 6.0039 0 0 0 23 16.91V28H19v2H29V28H25V16.91A6.0039 6.0039 0 0 0 30 11.0005zm-10 0V4h8v7.0005a4 4 0 1 1-8 0zM12 2v9.02a3.9644 3.9644 0 0 1-3.96 3.96A4.0052 4.0052 0 0 1 4 11.02V2H2v9.02a5.9888 5.9888 0 0 0 5 5.8652V30H9V16.8953A5.9646 5.9646 0 0 0 14 11.02V2z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M7 2H9V11.98H7z"
      }
    }), children]);
  }
};

export default virtual_RestaurantFine16;
