import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Sunny20 = {
  name: 'Sunny20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",
        "transform": "translate(0 .005)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M6.854 5.375H8.854V10.333H6.854z",
        "transform": "rotate(-45 7.86 7.856)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M2 15.005H7V17.005000000000003H2z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M5.375 23.147H10.333V25.147H5.375z",
        "transform": "rotate(-45 7.86 24.149)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M15 25.005H17V30.005H15z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M23.147 21.668H25.147V26.625999999999998H23.147z",
        "transform": "rotate(-45 24.152 24.149)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M25 15.005H30V17.005000000000003H25z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M21.668 6.854H26.625999999999998V8.854H21.668z",
        "transform": "rotate(-45 24.152 7.856)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M15 2.005H17V7.005H15z"
      }
    }), children]);
  }
};

export default virtual_Sunny20;
