import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Thumbnail_116 = {
  name: 'Thumbnail_116',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M8 30H4a2 2 0 0 1-2-2V24a2 2 0 0 1 2-2H8a2 2 0 0 1 2 2v4A2 2 0 0 1 8 30zM4 24v4H8V24zM18 30H14a2 2 0 0 1-2-2V24a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v4A2 2 0 0 1 18 30zm-4-6v4h4V24zM28 30H24a2 2 0 0 1-2-2V24a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v4A2 2 0 0 1 28 30zm-4-6v4h4V24zM28 20H4a2 2 0 0 1-2-2V4A2 2 0 0 1 4 2H28a2 2 0 0 1 2 2V18A2 2 0 0 1 28 20zM4 4V18H28V4z"
      }
    }), children]);
  }
};

export default virtual_Thumbnail_116;
