import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_UserFavoriteAlt32 = {
  name: 'UserFavoriteAlt32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28.7663 4.2558A4.2121 4.2121 0 0 0 23 4.0321a4.2121 4.2121 0 0 0-5.7663.2237 4.319 4.319 0 0 0 0 6.0447L22.998 16.14 23 16.1376l.002.0019 5.7643-5.839A4.319 4.319 0 0 0 28.7663 4.2558zM27.342 8.8948l-4.34 4.3973L23 13.29l-.002.002-4.34-4.3973a2.3085 2.3085 0 0 1 0-3.2338 2.2639 2.2639 0 0 1 3.1561 0l1.181 1.2074L23 6.8634l.0049.005 1.181-1.2074a2.2639 2.2639 0 0 1 3.1561 0A2.3085 2.3085 0 0 1 27.342 8.8948zM16 30H14V25a3.0033 3.0033 0 0 0-3-3H7a3.0033 3.0033 0 0 0-3 3v5H2V25a5.0059 5.0059 0 0 1 5-5h4a5.0059 5.0059 0 0 1 5 5zM9 10a3 3 0 1 1-3 3 3 3 0 0 1 3-3M9 8a5 5 0 1 0 5 5A5 5 0 0 0 9 8z"
      }
    }), children]);
  }
};

export default virtual_UserFavoriteAlt32;
