import { _ as _objectSpread2, a as _defineProperty } from '../../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_WatsonHealthAnnotationVisibility24 = {
  name: 'WatsonHealthAnnotationVisibility24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H4V6H28Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M21 20H13a3.51 3.51 0 0 0-.88-1.86l3.8-6.64-1.74-1-3.78 6.62A3.35 3.35 0 0 0 9.5 17a3.5 3.5 0 1 0 3.15 5H21zM9.5 22A1.5 1.5 0 1 1 11 20.5 1.5 1.5 0 0 1 9.5 22zM19 8H26V10H19zM19 12H23V14H19z"
      }
    }), children]);
  }
};

export default virtual_WatsonHealthAnnotationVisibility24;
