import { _ as _objectSpread2, a as _defineProperty } from '../../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_WatsonHealthStackedScrolling_232 = {
  name: 'WatsonHealthStackedScrolling_232',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M8 30H2a2 2 0 0 1-2-2V14a2 2 0 0 1 2-2H8a2 2 0 0 1 2 2V28A2 2 0 0 1 8 30zM2 14V28H8V14zM20 30H14a2 2 0 0 1-2-2V14a2 2 0 0 1 2-2h6a2 2 0 0 1 2 2V28A2 2 0 0 1 20 30zM14 14V28h6V14z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M27,21H25V9H17V7h8a2,2,0,0,1,2,2Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M32,16H30V4H22V2h8a2,2,0,0,1,2,2Z"
      }
    }), children]);
  }
};

export default virtual_WatsonHealthStackedScrolling_232;
