'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_AppSwitcher20 = {
  name: 'AppSwitcher20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 20 20',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M15.5 15.5H18V18H15.5zM8.75 15.5H11.25V18H8.75zM2 15.5H4.5V18H2zM15.5 8.75H18V11.25H15.5zM8.75 8.75H11.25V11.25H8.75zM2 8.75H4.5V11.25H2zM15.5 2H18V4.5H15.5zM8.75 2H11.25V4.5H8.75zM2 2H4.5V4.5H2z"
      }
    }), children]);
  }
};

module.exports = virtual_AppSwitcher20;
