'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Bus16 = {
  name: 'Bus16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M3 8H5V14H3zM27 8H29V14H27zM10 19H12V21H10zM20 19H22V21H20z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M21,2H11A5,5,0,0,0,6,7V23a2,2,0,0,0,2,2v3h2V25H22v3h2V25a2,2,0,0,0,2-2V7A5,5,0,0,0,21,2Zm3,6v7H8V8ZM11,4H21a3,3,0,0,1,2.82,2H8.18A3,3,0,0,1,11,4ZM8,23V17H24v6Z"
      }
    }), children]);
  }
};

module.exports = virtual_Bus16;
