'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Forum16 = {
  name: 'Forum16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 16 16',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M2,9H1V2.5C1,1.7,1.7,1,2.5,1H9v1H2V9z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M14,3H4C3.4,3,3,3.4,3,4v7c0,0.6,0.4,1,1,1h4v-1H4V4h10v7h-3.6L8,14.4L8.8,15l2.1-3H14c0.6,0,1-0.4,1-1V4\tC15,3.4,14.6,3,14,3z"
      }
    }), children]);
  }
};

module.exports = virtual_Forum16;
