'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Forum32 = {
  name: 'Forum32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M27,7H10a3.0033,3.0033,0,0,0-3,3V21a3.0033,3.0033,0,0,0,3,3h6V22H10a1.0009,1.0009,0,0,1-1-1V10a1.0013,1.0013,0,0,1,1-1H27a1.0009,1.0009,0,0,1,1,1V21a1.0006,1.0006,0,0,1-1,1H21.8L17,28.8535,18.6387,30l4.2021-6H27a3.0033,3.0033,0,0,0,3-3V10A3.0033,3.0033,0,0,0,27,7Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M3,17H1V4A3.0033,3.0033,0,0,1,4,1H17V3H4A1.0013,1.0013,0,0,0,3,4Z"
      }
    }), children]);
  }
};

module.exports = virtual_Forum32;
