'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_HelpDesk16 = {
  name: 'HelpDesk16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M27 10H21a3.0033 3.0033 0 0 0-3 3v6a2.0023 2.0023 0 0 0 2 2v7a2.0023 2.0023 0 0 0 2 2h4a2.0023 2.0023 0 0 0 2-2V21a2.0023 2.0023 0 0 0 2-2V13A3.0033 3.0033 0 0 0 27 10zm1 9H26v9H22V19H20V13a1.0009 1.0009 0 0 1 1-1h6a1.0009 1.0009 0 0 1 1 1zM20 5a4 4 0 1 1 4 4A4.0042 4.0042 0 0 1 20 5zm2 0a2 2 0 1 0 2-2A2.0023 2.0023 0 0 0 22 5zM14 16V13a3.0033 3.0033 0 0 0-3-3H5a3.0033 3.0033 0 0 0-3 3v3H0v2H16V16zM4 13a1.0009 1.0009 0 0 1 1-1h6a1.0009 1.0009 0 0 1 1 1v3H4zM4 5A4 4 0 1 1 8 9 4.0042 4.0042 0 0 1 4 5zM6 5A2 2 0 1 0 8 3 2.0023 2.0023 0 0 0 6 5z"
      }
    }), children]);
  }
};

module.exports = virtual_HelpDesk16;
