'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_LogoSlack24 = {
  name: 'LogoSlack24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M9.0423 19.1661A2.5212 2.5212 0 1 1 6.5212 16.645H9.0423zM10.3127 19.1661a2.5212 2.5212 0 0 1 5.0423 0v6.3127a2.5212 2.5212 0 1 1-5.0423 0zM12.8339 9.0423A2.5212 2.5212 0 1 1 15.355 6.5212V9.0423zM12.8339 10.3127a2.5212 2.5212 0 0 1 0 5.0423H6.5212a2.5212 2.5212 0 1 1 0-5.0423zM22.9577 12.8339a2.5212 2.5212 0 1 1 2.5211 2.5211H22.9577zM21.6873 12.8339a2.5212 2.5212 0 0 1-5.0423 0V6.5212a2.5212 2.5212 0 1 1 5.0423 0zM19.1661 22.9577a2.5212 2.5212 0 1 1-2.5211 2.5211V22.9577zM19.1661 21.6873a2.5212 2.5212 0 0 1 0-5.0423h6.3127a2.5212 2.5212 0 1 1 0 5.0423z"
      }
    }), children]);
  }
};

module.exports = virtual_LogoSlack24;
