'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Network_132 = {
  name: 'Network_132',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M16 20a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 16 20zm0-6a2 2 0 1 0 2 2A2.0021 2.0021 0 0 0 16 14zM5 20a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 5 20zm0-6a2 2 0 1 0 2 2A2.0023 2.0023 0 0 0 5 14zM10 31a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 10 31zm0-6a2 2 0 1 0 2 2A2.0021 2.0021 0 0 0 10 25zM22 31a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 22 31zm0-6a2 2 0 1 0 2 2A2.0021 2.0021 0 0 0 22 25zM27 20a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 27 20zm0-6a2 2 0 1 0 2 2A2.0021 2.0021 0 0 0 27 14zM22 9a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 22 9zm0-6a2 2 0 1 0 2 2A2.0021 2.0021 0 0 0 22 3zM10 9a4 4 0 1 1 4-4A4.0045 4.0045 0 0 1 10 9zm0-6a2 2 0 1 0 2 2A2.0021 2.0021 0 0 0 10 3z"
      }
    }), children]);
  }
};

module.exports = virtual_Network_132;
