'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Network_316 = {
  name: 'Network_316',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M30 30H22V22h8zm-6-2h4V24H24zM20 27H8A6 6 0 0 1 8 15h2v2H8a4 4 0 0 0 0 8H20z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M20,20H12V12h8Zm-6-2h4V14H14Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M24 17H22V15h2a4 4 0 0 0 0-8H12V5H24a6 6 0 0 1 0 12zM10 10H2V2h8zM4 8H8V4H4z"
      }
    }), children]);
  }
};

module.exports = virtual_Network_316;
