'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_SettingsAdjust32 = {
  name: 'SettingsAdjust32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M30 7H24.9a5 5 0 0 0-9.8 0H2V9H15.1a5 5 0 0 0 9.8 0H30zM20 11a3 3 0 1 1 3-3A3 3 0 0 1 20 11zM2 25H7.1a5 5 0 0 0 9.8 0H30V23H16.9a5 5 0 0 0-9.8 0H2zm7-1a3 3 0 1 1 3 3A3 3 0 0 1 9 24z"
      }
    }), children]);
  }
};

module.exports = virtual_SettingsAdjust32;
