'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_TypePattern20 = {
  name: 'TypePattern20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M30 15L17 15 17 2 15 2 15 15 2 15 2 17 15 17 15 30 17 30 17 17 30 17 30 15z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M25.586 20L27 21.414 23.414 25 27 28.586 25.586 30 20.586 25 25.586 20zM11 30H3a1 1 0 0 1-.8945-1.4473l4-8a1.0412 1.0412 0 0 1 1.789 0l4 8A1 1 0 0 1 11 30zM4.6182 28H9.3818L7 23.2363zM28 12H22a2.0023 2.0023 0 0 1-2-2V4a2.0023 2.0023 0 0 1 2-2h6a2.0023 2.0023 0 0 1 2 2v6A2.0023 2.0023 0 0 1 28 12zM22 4v6h6.001L28 4zM7 12a5 5 0 1 1 5-5A5.0059 5.0059 0 0 1 7 12zM7 4a3 3 0 1 0 3 3A3.0033 3.0033 0 0 0 7 4z"
      }
    }), children]);
  }
};

module.exports = virtual_TypePattern20;
