'use strict';

var __chunk_1 = require('../../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthDicom_600020 = {
  name: 'WatsonHealthDicom_600020',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M13 11H7a3 3 0 0 0-3 3v2H6V14a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1v2h2V14A3 3 0 0 0 13 11zM10 10A4 4 0 1 0 6 6 4 4 0 0 0 10 10zm0-6A2 2 0 1 1 8 6 2 2 0 0 1 10 4zM20 4H30V6H20zM20 8H30V10H20zM20 12H26V14H20zM5 30H3a2 2 0 0 1-2-2V22a2 2 0 0 1 2-2H6v2H3v2H5a2 2 0 0 1 2 2v2A2 2 0 0 1 5 30zM3 26v2H5V26zM13 30H11a2 2 0 0 1-2-2V22a2 2 0 0 1 2-2h2a2 2 0 0 1 2 2v6A2 2 0 0 1 13 30zm-2-8v6h2V22zM21 30H19a2 2 0 0 1-2-2V22a2 2 0 0 1 2-2h2a2 2 0 0 1 2 2v6A2 2 0 0 1 21 30zm-2-8v6h2V22zM29 30H27a2 2 0 0 1-2-2V22a2 2 0 0 1 2-2h2a2 2 0 0 1 2 2v6A2 2 0 0 1 29 30zm-2-8v6h2V22z"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthDicom_600020;
