'use strict';

var __chunk_1 = require('../../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthPetImageB16 = {
  name: 'WatsonHealthPetImageB16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M19 21H21V24H19zM19 0H21V3H19zM8 11H11V13H8zM29 11H32V13H29z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M11.59 3.07H13.57V6.07H11.59z",
        "transform": "rotate(-45 12.586 4.577)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M26.44 17.92H28.42V20.92H26.44z",
        "transform": "rotate(-45 27.43 19.408)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M11.09 18.42H14.09V20.400000000000002H11.09z",
        "transform": "rotate(-45 12.592 19.414)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M25.93 3.58H28.93V5.5600000000000005H25.93z",
        "transform": "rotate(-45 27.423 4.57)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M20 5a7 7 0 1 0 7 7A7 7 0 0 0 20 5zm0 12A5 5 0 0 1 20 7zM5 18H0V32H5a3 3 0 0 0 3-3V27a3 3 0 0 0-.78-2A3 3 0 0 0 8 23V21A3 3 0 0 0 5 18zM2 20H5a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1H2zm4 9a1 1 0 0 1-1 1H2V26H5a1 1 0 0 1 1 1zM2 2L9 2 9 0 0 0 0 9 2 9 2 2z"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthPetImageB16;
