'use strict';

var __chunk_1 = require('../../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthPetImageO24 = {
  name: 'WatsonHealthPetImageO24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M11 29H13V32H11zM11 8H13V11H11zM0 19H3V21H0zM21 19H24V21H21z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M3.59 11.09H5.57V14.09H3.59z",
        "transform": "rotate(-45 4.585 12.59)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M18.44 25.93H20.42V28.93H18.44z",
        "transform": "rotate(-45 19.429 27.422)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M3.09 26.44H6.09V28.42H3.09z",
        "transform": "rotate(-45 4.591 27.428)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M17.93 11.59H20.93V13.57H17.93z",
        "transform": "rotate(-45 19.423 12.585)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M12 13a7 7 0 1 0 7 7A7 7 0 0 0 12 13zm0 12a5 5 0 0 1 0-10zM2 2L9 2 9 0 0 0 0 9 2 9 2 2zM30 0H26a2 2 0 0 0-2 2V12a2 2 0 0 0 2 2h4a2 2 0 0 0 2-2V2A2 2 0 0 0 30 0zM26 12V2h4V12z"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthPetImageO24;
